[alpine-aports] [PATCH] testing/php7-igbinary: new aport

Valery Kartel
Details
Message ID
<20170321235346.22290-1-valery.kartel@gmail.com>
Sender timestamp
1490140426
DKIM signature
missing
Download raw message
Patch: +40 -0
http://pecl.php.net/package/igbinary
A drop in replacement for the standard php serializer
---
couchbase extension need it
---
 testing/php7-igbinary/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/php7-igbinary/APKBUILD

diff --git a/testing/php7-igbinary/APKBUILD b/testing/php7-igbinary/APKBUILD
new file mode 100644
index 0000000000..2e61f93911
--- /dev/null
+++ b/testing/php7-igbinary/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+pkgname=php7-igbinary
+pkgver=2.0.1
+pkgrel=0
+_pkgver=${pkgver/_rc/RC}
+_phpver=${pkgname%%-*}
+_pkgreal=${pkgname#*-}
+pkgdesc="$_phpver extension: a drop in replacement for the standard php serializer"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="BSD"
+options="!check"
+depends=
+pecldepends="$_phpver-dev autoconf"
+makedepends="$pecldepends"
+install=
+subpackages="$pkgname-dev"
+source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+build() {
+	cd "$builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make
+}
+
+package() {
+	local apiver=$(($(phpize -v|awk -F: '/PHP Api/{print $2}')))
+	local confdir=$(php-config|grep -o "scan-dir=[[:graph:]]*"|cut -d= -f2)
+	depends="$_phpver-common $depends"
+	#php=7.1: depends="$_phpver-config phpapi$apiver $depends"
+	make -C "$builddir" INSTALL_ROOT="$pkgdir" install || return 1
+	mkdir -p "$pkgdir"/$confdir || return 1
+	# couchbase depends on it, so add numeric prefix
+	echo "extension=$_pkgreal.so" > "$pkgdir"/$confdir/10_$_pkgreal.ini
+}
+
+sha512sums="bcf6cf9154c00d4840d447113c831405c85ba1ff6c88ea2832490ee1d6d354be044b4c2c90590eb8fe2458545b292160b4d7f8330147613cfcbf467e38662781  igbinary-2.0.1.tgz"
-- 
2.12.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---